=== src/display/CMakeLists.txt ===

set(display_SRC
	cairo-utils.cpp
	canvas-arena.cpp
	canvas-axonomgrid.cpp
	canvas-bpath.cpp
	canvas-grid.cpp
	canvas-temporary-item-list.cpp
	canvas-temporary-item.cpp
	canvas-text.cpp
	curve.cpp
	drawing-context.cpp
	drawing-group.cpp
	drawing-image.cpp
	drawing-item.cpp
	drawing-pattern.cpp
	drawing-shape.cpp
	drawing-surface.cpp
	drawing-text.cpp
	drawing.cpp
	gnome-canvas-acetate.cpp
	grayscale.cpp
	guideline.cpp
	nr-3dutils.cpp
	nr-filter-blend.cpp
	nr-filter-colormatrix.cpp
	nr-filter-component-transfer.cpp
	nr-filter-composite.cpp
	nr-filter-convolve-matrix.cpp
	nr-filter-diffuselighting.cpp
	nr-filter-displacement-map.cpp
	nr-filter-flood.cpp
	nr-filter-gaussian.cpp
	nr-filter-image.cpp
	nr-filter-merge.cpp
	nr-filter-morphology.cpp
	nr-filter-offset.cpp
	nr-filter-primitive.cpp
	# nr-filter-skeleton.cpp
	nr-filter-slot.cpp
	nr-filter-specularlighting.cpp
	nr-filter-tile.cpp
	nr-filter-turbulence.cpp
	nr-filter-units.cpp
	nr-filter-utils.cpp
	nr-filter.cpp
	nr-light.cpp
	nr-style.cpp
	nr-svgfonts.cpp
	nr-svgfonts.h
	snap-indicator.cpp
	sodipodi-ctrl.cpp
	sodipodi-ctrlrect.cpp
	sp-canvas-util.cpp
	sp-canvas.cpp
	sp-ctrlcurve.cpp
	sp-ctrlline.cpp
	sp-ctrlpoint.cpp
	sp-ctrlquadr.cpp


	# -------
	# Headers
	cairo-templates.h
	cairo-utils.h
	canvas-arena.h
	canvas-axonomgrid.h
	canvas-bpath.h
	canvas-grid.h
	canvas-temporary-item-list.h
	canvas-temporary-item.h
	canvas-text.h
	curve-test.h
	curve.h
	drawing-context.h
	drawing-group.h
	drawing-image.h
	drawing-item.h
	drawing-pattern.h
	drawing-shape.h
	drawing-surface.h
	drawing-text.h
	drawing.h
	gnome-canvas-acetate.h
	grayscale.h
	guideline.h
	nr-3dutils.h
	nr-filter-blend.h
	nr-filter-colormatrix.h
	nr-filter-component-transfer.h
	nr-filter-composite.h
	nr-filter-convolve-matrix.h
	nr-filter-diffuselighting.h
	nr-filter-displacement-map.h
	nr-filter-flood.h
	nr-filter-gaussian.h
	nr-filter-image.h
	nr-filter-merge.h
	nr-filter-morphology.h
	nr-filter-offset.h
	nr-filter-primitive.h
	nr-filter-skeleton.h
	nr-filter-slot.h
	nr-filter-specularlighting.h
	nr-filter-tile.h
	nr-filter-turbulence.h
	nr-filter-types.h
	nr-filter-units.h
	nr-filter-utils.h
	nr-filter.h
	nr-light-types.h
	nr-light.h
	nr-style.h
	rendermode.h
	snap-indicator.h
	sodipodi-ctrl.h
	sodipodi-ctrlrect.h
	sp-canvas-group.h
	sp-canvas-item.h
	sp-canvas-util.h
	sp-canvas.h
	sp-ctrlcurve.h
	sp-ctrlline.h
	sp-ctrlpoint.h
	sp-ctrlquadr.h
)

# add_inkscape_lib(display_LIB "${display_SRC}")
add_inkscape_source("${display_SRC}")
