=== src/ui/CMakeLists.txt ===

set(ui_SRC
	clipboard.cpp
	control-manager.cpp
	previewholder.cpp
	uxmanager.cpp

	cache/svg_preview_cache.cpp

	tool/control-point-selection.cpp
	tool/control-point.cpp
	tool/curve-drag-point.cpp
	tool/event-utils.cpp
	tool/manipulator.cpp
	tool/modifier-tracker.cpp
	tool/multi-path-manipulator.cpp
	tool/node.cpp
	tool/path-manipulator.cpp
	tool/selectable-control-point.cpp
	tool/selector.cpp
	tool/transform-handle-set.cpp

	tools/arc-tool.cpp
	tools/box3d-tool.cpp
	tools/calligraphic-tool.cpp
	tools/connector-tool.cpp
	tools/dropper-tool.cpp
	tools/dynamic-base.cpp
	tools/eraser-tool.cpp
	tools/flood-tool.cpp
	tools/freehand-base.cpp
	tools/gradient-tool.cpp
	tools/lpe-tool.cpp
	tools/measure-tool.cpp
	tools/mesh-tool.cpp
	tools/node-tool.cpp
	tools/pencil-tool.cpp
	tools/pen-tool.cpp
	tools/rect-tool.cpp
	tools/select-tool.cpp
	tools/spiral-tool.cpp
	tools/spray-tool.cpp
	tools/star-tool.cpp
	tools/text-tool.cpp
	tools/tool-base.cpp
	tools/tweak-tool.cpp
	tools/zoom-tool.cpp

	dialog/aboutbox.cpp
	dialog/align-and-distribute.cpp
	dialog/calligraphic-profile-rename.cpp
	dialog/color-item.cpp
	dialog/clonetiler.cpp
	dialog/debug.cpp
	dialog/desktop-tracker.cpp
	dialog/dialog-manager.cpp
	dialog/dialog.cpp
	dialog/dock-behavior.cpp
	dialog/document-metadata.cpp
	dialog/document-properties.cpp
	dialog/export.cpp
	dialog/extension-editor.cpp
	dialog/extensions.cpp
	dialog/filedialog.cpp
	dialog/filedialogimpl-gtkmm.cpp
	dialog/fill-and-stroke.cpp
	dialog/filter-effects-dialog.cpp
	dialog/find.cpp
	dialog/floating-behavior.cpp
	dialog/font-substitution.cpp
	dialog/glyphs.cpp
	dialog/grid-arrange-tab.cpp
	dialog/guides.cpp
	dialog/icon-preview.cpp
	dialog/inkscape-preferences.cpp
	dialog/input.cpp
	dialog/layer-properties.cpp
	dialog/layers.cpp
	dialog/livepatheffect-add.cpp
	dialog/livepatheffect-editor.cpp
	dialog/memory.cpp
	dialog/messages.cpp
	dialog/new-from-template.cpp
	dialog/object-attributes.cpp
	dialog/object-properties.cpp
	dialog/ocaldialogs.cpp
	dialog/polar-arrange-tab.cpp
	dialog/print-colors-preview-dialog.cpp
	dialog/print.cpp
	dialog/symbols.cpp
	dialog/xml-tree.cpp
	dialog/spellcheck.cpp
	dialog/svg-fonts-dialog.cpp
	dialog/swatches.cpp
	dialog/template-load-tab.cpp
	dialog/template-widget.cpp
	dialog/text-edit.cpp
	dialog/tile.cpp
	dialog/tracedialog.cpp
	dialog/pixelartdialog.cpp
	dialog/transformation.cpp
	dialog/undo-history.cpp

	widget/anchor-selector.cpp
	widget/button.cpp
	widget/color-picker.cpp
	widget/color-preview.cpp
	widget/dock-item.cpp
	widget/dock.cpp
	widget/entity-entry.cpp
	widget/entry.cpp
	widget/filter-effect-chooser.cpp
	widget/frame.cpp
	widget/gimpcolorwheel.c
	widget/gimpspinscale.c
	widget/imageicon.cpp
	widget/imagetoggler.cpp
	widget/labelled.cpp
	widget/layer-selector.cpp
	widget/licensor.cpp
	widget/notebook-page.cpp
	widget/object-composite-settings.cpp
	widget/page-sizer.cpp
	widget/panel.cpp
	widget/point.cpp
	widget/preferences-widget.cpp
	widget/random.cpp
	widget/registered-widget.cpp
	widget/registry.cpp
	widget/rendering-options.cpp
	widget/rotateable.cpp
	widget/scalar-unit.cpp
	widget/scalar.cpp
	widget/selected-style.cpp
	widget/spin-scale.cpp
	widget/spin-slider.cpp
	widget/spinbutton.cpp
	widget/style-subject.cpp
	widget/style-swatch.cpp
	widget/text.cpp
	widget/tolerance-slider.cpp
	widget/unit-menu.cpp
	widget/unit-tracker.cpp

	view/view.cpp
	view/view-widget.cpp


	# -------
	# Headers
	clipboard.h
	control-manager.h
	control-types.h
	icon-names.h
	previewable.h
	previewfillable.h
	previewholder.h
	uxmanager.h

	cache/svg_preview_cache.h

	dialog/aboutbox.h
	dialog/align-and-distribute.h
	dialog/arrange-tab.h
	dialog/behavior.h
	dialog/calligraphic-profile-rename.h
	dialog/color-item.h
	dialog/clonetiler.h
	dialog/debug.h
	dialog/desktop-tracker.h
	dialog/dialog-manager.h
	dialog/dialog.h
	dialog/dock-behavior.h
	dialog/document-metadata.h
	dialog/document-properties.h
	dialog/export.h
	dialog/extension-editor.h
	dialog/extensions.h
	dialog/filedialog.h
	dialog/filedialogimpl-gtkmm.h
	dialog/filedialogimpl-win32.h
	dialog/fill-and-stroke.h
	dialog/filter-effects-dialog.h
	dialog/find.h
	dialog/floating-behavior.h
	dialog/font-substitution.h
	dialog/glyphs.h
	dialog/guides.h
	dialog/grid-arrange-tab.h
	dialog/icon-preview.h
	dialog/inkscape-preferences.h
	dialog/input.h
	dialog/layer-properties.h
	dialog/layers.h
	dialog/livepatheffect-add.h
	dialog/livepatheffect-editor.h
	dialog/memory.h
	dialog/messages.h
	dialog/new-from-template.h
	dialog/object-attributes.h
	dialog/object-properties.h
	dialog/ocaldialogs.h
	dialog/panel-dialog.h
	dialog/polar-arrange-tab.h
	dialog/pixelartdialog.h
	dialog/print-colors-preview-dialog.h
	dialog/print.h
	
	dialog/spellcheck.h
	dialog/svg-fonts-dialog.h
	dialog/swatches.h
	dialog/symbols.h
	dialog/template-load-tab.h
	dialog/template-widget.h
	dialog/text-edit.h
	dialog/tile.h
	dialog/tracedialog.h
	dialog/transformation.h
	dialog/undo-history.h
	dialog/xml-tree.h

	tool/commit-events.h
	tool/control-point-selection.h
	tool/control-point.h
	tool/curve-drag-point.h
	tool/event-utils.h
	tool/manipulator.h
	tool/modifier-tracker.h
	tool/multi-path-manipulator.h
	tool/node-types.h
	tool/node.h
	tool/path-manipulator.h
	tool/selectable-control-point.h
	tool/selector.h
	tool/shape-record.h
	tool/transform-handle-set.h

	tools/arc-tool.h
	tools/box3d-tool.h
	tools/calligraphic-tool.h
	tools/connector-tool.h
	tools/dropper-tool.h
	tools/dynamic-base.h
	tools/eraser-tool.h
	tools/flood-tool.h
	tools/freehand-base.h
	tools/gradient-tool.h
	tools/lpe-tool.h
	tools/measure-tool.h
	tools/mesh-tool.h
	tools/node-tool.h
	tools/pencil-tool.h
	tools/pen-tool.h
	tools/rect-tool.h
	tools/select-tool.h
	tools/spiral-tool.h
	tools/spray-tool.h
	tools/star-tool.h
	tools/text-tool.h
	tools/tool-base.h
	tools/tweak-tool.h
	tools/zoom-tool.h

	widget/anchor-selector.h
	widget/attr-widget.h
	widget/button.h
	widget/color-picker.h
	widget/color-preview.h
	widget/combo-enums.h
	widget/dock-item.h
	widget/dock.h
	widget/entity-entry.h
	widget/entry.h
	widget/filter-effect-chooser.h
	widget/frame.h
	widget/gimpspinscale.h
	widget/gimpcolorwheel.h
	widget/imageicon.h
	widget/imagetoggler.h
	widget/labelled.h
	widget/layer-selector.h
	widget/licensor.h
	widget/notebook-page.h
	widget/object-composite-settings.h
	widget/page-sizer.h
	widget/panel.h
	widget/point.h
	widget/preferences-widget.h
	widget/random.h
	widget/registered-enums.h
	widget/registered-widget.h
	widget/registry.h
	widget/rendering-options.h
	widget/rotateable.h
	widget/scalar-unit.h
	widget/scalar.h
	widget/selected-style.h
	widget/spin-scale.h
	widget/spin-slider.h
	widget/spinbutton.h
	widget/style-subject.h
	widget/style-swatch.h
	widget/text.h
	widget/tolerance-slider.h
	widget/unit-menu.h
	widget/unit-tracker.h

	view/edit-widget-interface.h
	view/view-widget.h
	view/view.h
)

if(WIN32)
	list(APPEND ui_SRC
		dialog/filedialogimpl-win32.cpp
	)
endif()

# add_inkscape_lib(ui_LIB "${ui_SRC}")
add_inkscape_source("${ui_SRC}")
