=== debian/changelog ===
inkscape (0.91.0+47~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Alex Valavanis <valavanisalex@gmail.com>  Thu, 12 Feb 2015 11:51:54 +0000

inkscape (1:0.48+devel+10326+10) natty; urgency=low

  * Renamed package to inkscape-trunk
  * debian/control: Added Conflicts: inkscape to prevent installation of
    multiple conflicting copies of the Inkscape binaries

 -- Alex Valavanis <valavanisalex@gmail.com>  Tue, 21 Jun 2011 11:04:31 +0100

inkscape (0.49~devel+10296) oneiric; urgency=low

  * Adopted packaging code upstream.  Thanks to Peter for all your hard work!
  * Removed debian/watch - not needed in native package
  * Added debian/README.source - Description of dpatch system
  * debian/control:
    - Wrap lines
    - Added Depends: ${misc:depends}
    - Added myself, Peter and Wolfi to Uploaders, and switched Maintainer to 
      Inkscape devs
    - Suggest transfig to allow import of xfig files
    - Drop useless suggestions of python, skencil and ttf-bitstream-vera
    - Add Build-Depends on dh-translations, libwpd-dev (>= 0.9.0),
      libaspell-dev
    - Bump Build-Depends version libwpg-dev (>= 0.2.0)
    - Drop Build-Depends libssl-dev
    - Recommends aspell
  * debian/rules:
    - Add dh_translations to binary-arch rule
    - Drop manual addition of translation keys to desktop entry files
    - Drop setting of script permissions.  This is handled upstream.
    - Enable parallel builds.

 -- Alex Valavanis <valavanisalex@gmail.com>  Mon, 13 Jun 2011 10:50:12 +0100

inkscape (0.49~devel+10241) lucid; urgency=low

  * Merge upstream r10241.

 -- Peter Lieverdink <ubuntu@cafuego.net>  Sat, 28 May 2011 11:50:19 +1000
