=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Homepage: http://www.inkscape.org/
Vcs-Browser: https://code.launchpad.net/~inkscape.dev/inkscape/trunk
Vcs-bzr: https://code.launchpad.net/~inkscape.dev/inkscape/trunk
Maintainer: Inkscape developers <inkscape-devel@lists.sourceforge.net> 
Uploaders: Peter Lieverdink <ubuntu@cafuego.net>,
           Wolfram Quester <wolfi@sigxcpu.org>,
           Alex Valavanis <valavanisalex@gmail.com>
Build-Depends:
 autoconf,
 automake,
 autopoint,
 bash-completion,
 debhelper (>= 9),
 dh-autoreconf,
 gimp,
 intltool,
 libart-2.0-dev (>= 2.3.10),
 libaspell-dev,
 libboost-dev,
 libcdr-dev,
 libdbus-glib-1-dev,
 libgc-dev (>= 1:6.8),
 libglib2.0-dev,
 libgnomevfs2-dev,
 libgsl0-dev,
 libgtk2.0-dev (>= 2.10.0),
 libgtkmm-2.4-dev,
 libgtkspell-dev,
 libicu-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng12-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpopt-dev,
 libsigc++-2.0-dev (>= 2.0.16-2),
 libtool,
 libvisio-dev,
 libwpd-dev,
 libwpg-dev,
 libxml-parser-perl,
 libxml2-dev (>= 2-2.4.24),
 libxslt1-dev,
 pkg-config,
 python-dev,
 python-lxml,
 python-numpy,
 zlib1g-dev
Standards-Version: 3.9.6

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 aspell,
 imagemagick,
 libwmf-bin,
 perlmagick,
 python-numpy,
 python-lxml,
 python-uniconvertor
Suggests:
 dia | dia-gnome,
 ruby,
 libgnomevfs2-extra,
 libsvg-perl,
 libxml-xql-perl,
 transfig,
 pstoedit
Conflicts: inkscape-trunk
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything you need to create
 professional-quality computer art.  You can use it to make diagrams and 
 illustrations, technical drawings, web graphics, clip art, icons and logos.
 A collection of hands-on tutorials show you how to combine lines, shapes, and
 text of different styles to build up a picture.
 .
 A selection of powerful vector graphics editing tools comes as standard. There
 is excellent support for paths, gradients, layers, alpha transparency, and 
 text flow control. An extensive library of filters allows you to apply 
 realistic effects, and extensions allow you to work with bitmaps, barcodes 
 and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe 
 Illustrator and AutoCAD files, and it has unrivalled support for the SVG web 
 graphics standard.
