=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules  for inkscape derived from a sample 
# provided by Joey Hess via dh_make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,bash-completion,python2 --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-dbusapi
